Package: java.time

## Class LocalDateTime

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `LocalDateTime` | `clearTime()` Returns a LocalDateTime with the time portion cleared.
    `String` | `format(String pattern)` Formats this date/time with the provided DateTimeFormatter pattern.
    `String` | `format(FormatStyle dateTimeStyle)` Formats this date/time in the provided, localized FormatStyle.
    `String` | `getDateString()` Formats this date/time with the DateTimeFormatter#ISO_LOCAL_DATE formatter.
    `String` | `getDateTimeString()` Formats this date/time with the DateTimeFormatter#ISO_LOCAL_DATE_TIME formatter.
    `String` | `getTimeString()` Formats this date/time with the DateTimeFormatter#ISO_LOCAL_TIME formatter.
    `ZonedDateTime` | `leftShift(ZoneId zone)` Returns a OffsetDateTime of this date/time and the provided ZoneId.
    `OffsetDateTime` | `leftShift(ZoneOffset offset)` Returns an OffsetDateTime of this date/time and the provided ZoneOffset.
    `LocalDateTime` | `minus(long seconds)` Returns a LocalDateTime that is `seconds` seconds before this date/time.
    `LocalDateTime` | `next()` Returns a LocalDateTime that is one second after this date/time.
    `static LocalDateTime` | `parse(CharSequence text, String pattern)` Parse text into a LocalDateTime using the provided pattern.
    `LocalDateTime` | `plus(long seconds)` Returns a LocalDateTime that is `seconds` seconds after this date/time.
    `LocalDateTime` | `previous()` Returns a LocalDateTime that is one second before this date/time.
    `Calendar` | `toCalendar()` Returns a generally equivalent instance of Calendar.
    `Date` | `toDate()` Returns a generally equivalent instance of Date.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

  - #### Methods inherited from interface java.time.temporal.Temporal

    `downto`, `downto`, `rightShift`, `upto`, `upto`

  - #### Methods inherited from interface java.time.temporal.TemporalAccessor

    `getAt`, `getAt`

  - #### Methods inherited from interface java.lang.Comparable

    `numberAwareCompareTo`

- - ### Methods Detail

    - #### public LocalDateTime clearTime()

      Returns a LocalDateTime with the time portion cleared.

      Returns:
        a LocalDateTime
      Since:
        2.5.0

    - #### public String format(String pattern)

      Formats this date/time with the provided DateTimeFormatter pattern.

      Parameters:
        `pattern` - the formatting pattern
      Returns:
        a formatted String
      Since:
        2.5.0
      See Also:
        DateTimeFormatter

    - #### public String format(FormatStyle dateTimeStyle)

      Formats this date/time in the provided, localized FormatStyle.

      Parameters:
        `dateTimeStyle` - the FormatStyle
      Returns:
        a formatted String
      Since:
        2.5.0
      See Also:
        DateTimeFormatter

    - #### public String getDateString()

      Formats this date/time with the DateTimeFormatter#ISO_LOCAL_DATE formatter.

      Returns:
        a formatted String
      Since:
        2.5.0
      See Also:
        DateTimeFormatter

    - #### public String getDateTimeString()

      Formats this date/time with the DateTimeFormatter#ISO_LOCAL_DATE_TIME formatter.

      Returns:
        a formatted String
      Since:
        2.5.0
      See Also:
        DateTimeFormatter

    - #### public String getTimeString()

      Formats this date/time with the DateTimeFormatter#ISO_LOCAL_TIME formatter.

      Returns:
        a formatted String
      Since:
        2.5.0
      See Also:
        DateTimeFormatter

    - #### public ZonedDateTime leftShift(ZoneId zone)

      Returns a OffsetDateTime of this date/time and the provided ZoneId.

      Parameters:
        `zone` - a ZoneId
      Returns:
        a ZonedDateTime
      Since:
        2.5.0

    - #### public OffsetDateTime leftShift(ZoneOffset offset)

      Returns an OffsetDateTime of this date/time and the provided ZoneOffset.

      Parameters:
        `offset` - a ZoneOffset
      Returns:
        an OffsetDateTime
      Since:
        2.5.0

    - #### public LocalDateTime minus(long seconds)

      Returns a LocalDateTime that is `seconds` seconds before this date/time.

      Parameters:
        `seconds` - the number of seconds to subtract
      Returns:
        a LocalDateTime
      Since:
        2.5.0

    - #### public LocalDateTime next()

      Returns a LocalDateTime that is one second after this date/time.

      Returns:
        a LocalDateTime
      Since:
        2.5.0

    - #### public static LocalDateTime parse(CharSequence text, String pattern)

      Parse text into a LocalDateTime using the provided pattern. Note: the order of parameters differs from versions of this method for the legacy Date class.

      Parameters:
        `text` - String to be parsed to create the date instance
        `pattern` - pattern used to parse the text
      Returns:
        a LocalDateTime representing the parsed text
      Since:
        2.5.0
      See Also:
        DateTimeFormatter
        LocalDateTime#parse(java.lang.CharSequence, java.time.format.DateTimeFormatter)

    - #### public LocalDateTime plus(long seconds)

      Returns a LocalDateTime that is `seconds` seconds after this date/time.

      Parameters:
        `seconds` - the number of seconds to add
      Returns:
        a LocalDateTime
      Since:
        2.5.0

    - #### public LocalDateTime previous()

      Returns a LocalDateTime that is one second before this date/time.

      Returns:
        a LocalDateTime
      Since:
        2.5.0

    - #### public Calendar toCalendar()

      Returns a generally equivalent instance of Calendar. The time value of the returned calendar is truncated to milliseconds and the time zone is the current system default.

      Returns:
        a java.util.Calendar
      Since:
        2.5.0

    - #### public Date toDate()

      Returns a generally equivalent instance of Date. The time value of the returned date is truncated to milliseconds.

      Returns:
        a java.util.Date
      Since:
        2.5.0